Bug 60557 - print/cups port lacks of building tunables
Summary: print/cups port lacks of building tunables
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-12-25 13:20 UTC by Seva Gluschenko
Modified: 2004-01-10 05:46 UTC (History)
0 users

See Also:


Attachments
file.diff (621 bytes, patch)
2003-12-25 13:20 UTC, Seva Gluschenko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Seva Gluschenko 2003-12-25 13:20:14 UTC
	CUPS (common UNIX printing system) has the following configure switches:
	--with-perl	Enable Perl interpreter interface
	--with-php	Enable PHP interpreter interface
	--with-python	Enable Python interpreter interface

	which neither can be selected by port building tunables. Proposed patch
	addresses this problem.

	Also, while stating WANT_AUTOCONF_VER=253 clause in Makefile, CUPS doesn't
	really need autoconf to be built.

Fix: Apply patch below, then cd to print/cups-base and type make WITH_PERL=yes or
	WITH_PHP=yes or WITH_PYTHON=yes (whatever you might find suitable for your
	environment).

	Apply patch:

	cd /usr/ports
	patch < /path/to/this_message

	The patch itself follows.

	N.B.: I haven't PHP installed, just guessing it has "php" executable, so
	actual RUN_DEPENDS for WITH_PHP tunable might differ.
How-To-Repeat: 	CVSup the latest print/cups (and print/cups-base) port and try to make cups-base,
	then break the build at the configure stage, cd to work/cups-* and try
	./configure --help. You'll notice the tunables described above.
Comment 1 Pete Fritchman freebsd_committer 2004-01-09 06:14:24 UTC
State Changed
From-To: open->feedback

Do we really need a knob for WITH_PERL, since we depend on Perl by default? 
Also, for python, we should use USE_PYTHON, I think.
Comment 2 Pete Fritchman freebsd_committer 2004-01-09 15:29:58 UTC
* Fri, 09 Jan 2004 13:01:40 +0300 - Seva Gluschenko:
| Pete Fritchman wrote:
| 
| > Do we really need a knob for WITH_PERL, since we depend on Perl by default?
| 
| Where? I found nothing about default Perl dependency in both 
| cups/Makefile.common and cups-base/Makefile. And, since FreeBSD 5.x 
| doesn't have a perl distribution but only perl port, we shouldn't 
| enforce new CUPS user to use perl anyway if he doesn't need it in general.

How about:

skull(/usr/ports/print/cups) [1027] > grep PERL5 *
Makefile:USE_PERL5=     yes
Makefile.common:USE_PERL5_RUN=  yes

| > Also, for python, we should use USE_PYTHON, I think.
| 
| whatever, I don't care. Just named it for convenience.

I meant using USE_PYTHON=yes to depend on python instead of
putting an explicit *_DEPENDS line.

--pete
Comment 3 Pete Fritchman freebsd_committer 2004-01-10 05:46:16 UTC
State Changed
From-To: feedback->closed

Slightly modified patch committed, thanks!